Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jta
Class J2eeTransactionManager

    java.lang.Object
      com.atomikos.icatch.jta.J2eeTransactionManager

All Implemented Interfaces:
  Serializable, Referenceable, TransactionManager, UserTransaction

    public class J2eeTransactionManager

extends Object
implements TransactionManager, Serializable, Referenceable, UserTransaction

An implementation of TransactionManager that should be used by J2EE applications. Instances can be bound in JNDI if the application server allows this.

See Also:
  Serialized Form

Constructor Summary
`J2eeTransactionManager()`

Method Summary
`void` | `begin()`
`void` | `commit()`
`Reference` | `getReference()`
`int` | `getStatus()`
`Transaction` | `getTransaction()`
`void` | `resume(Transaction tx)`
`void` | `rollback()`
`void` | `setRollbackOnly()`
`void` | `setTransactionTimeout(int secs)`
`Transaction` | `suspend()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### J2eeTransactionManager

    public J2eeTransactionManager()

Method Detail

### begin

    public void begin()
               throws NotSupportedException,
                      SystemException

  Specified by:
    `begin` in interface `TransactionManager`
  Specified by:
    `begin` in interface `UserTransaction`
  Throws:
    `NotSupportedException`
    `SystemException`
  See Also:
    `TransactionManager.begin()`

### commit

    public void commit()
                throws RollbackException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       SecurityException,
                       IllegalStateException,
                       SystemException

  Specified by:
    `commit` in interface `TransactionManager`
  Specified by:
    `commit` in interface `UserTransaction`
  Throws:
    `RollbackException`
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `SecurityException`
    `IllegalStateException`
    `SystemException`
  See Also:
    `TransactionManager.commit()`

### getStatus

    public int getStatus()
                  throws SystemException

  Specified by:
    `getStatus` in interface `TransactionManager`
  Specified by:
    `getStatus` in interface `UserTransaction`
  Throws:
    `SystemException`
  See Also:
    `TransactionManager.getStatus()`

### getTransaction

    public Transaction getTransaction()
                               throws SystemException

  Specified by:
    `getTransaction` in interface `TransactionManager`
  Throws:
    `SystemException`
  See Also:
    `TransactionManager.getTransaction()`

### resume

    public void resume(Transaction tx)
                throws InvalidTransactionException,
                       IllegalStateException,
                       SystemException

  Specified by:
    `resume` in interface `TransactionManager`
  Throws:
    `InvalidTransactionException`
    `IllegalStateException`
    `SystemException`
  See Also:
    `TransactionManager.resume(javax.transaction.Transaction)`

### rollback

    public void rollback()
                  throws IllegalStateException,
                         SecurityException,
                         SystemException

  Specified by:
    `rollback` in interface `TransactionManager`
  Specified by:
    `rollback` in interface `UserTransaction`
  Throws:
    `IllegalStateException`
    `SecurityException`
    `SystemException`
  See Also:
    `TransactionManager.rollback()`

### setRollbackOnly

    public void setRollbackOnly()
                         throws IllegalStateException,
                                SystemException

  Specified by:
    `setRollbackOnly` in interface `TransactionManager`
  Specified by:
    `setRollbackOnly` in interface `UserTransaction`
  Throws:
    `IllegalStateException`
    `SystemException`
  See Also:
    `TransactionManager.setRollbackOnly()`

### setTransactionTimeout

    public void setTransactionTimeout(int secs)
                               throws SystemException

  Specified by:
    `setTransactionTimeout` in interface `TransactionManager`
  Specified by:
    `setTransactionTimeout` in interface `UserTransaction`
  Throws:
    `SystemException`
  See Also:
    `TransactionManager.setTransactionTimeout(int)`

### suspend

    public Transaction suspend()
                        throws SystemException

  Specified by:
    `suspend` in interface `TransactionManager`
  Throws:
    `SystemException`
  See Also:
    `TransactionManager.suspend()`

### getReference

    public Reference getReference()
                           throws NamingException

  Specified by:
    `getReference` in interface `Referenceable`
  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.